PROGRAM_NAME='LiveCore_Definitions'

(***********************************************************)
(* REV HISTORY:     Revision   3.00                        *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined LiveCore_Devices
#define LiveCore_Devices

DEFINE_DEVICE

IPad_Port1		=	IPad_Num_Device:1:0
IPad_Port2		=	IPad_Num_Device:2:0
IPad_Port3		=	IPad_Num_Device:3:0
IPad_Port4		=	IPad_Num_Device:4:0
IPad_Port5		=	IPad_Num_Device:5:0
IPad_Port6		=	IPad_Num_Device:6:0
IPad_Port7		=	IPad_Num_Device:7:0
IPad_Port8		=	IPad_Num_Device:8:0
IPad_Port9		=	IPad_Num_Device:9:0
IPad_Port10		=	IPad_Num_Device:10:0
IPad_Port11		=	IPad_Num_Device:11:0
IPad_Port12		=	IPad_Num_Device:12:0
IPad_Port13		=	IPad_Num_Device:13:0
IPad_Port14		=	IPad_Num_Device:14:0
IPad_Port15		=	IPad_Num_Device:15:0
IPad_Port16		=	IPad_Num_Device:16:0
IPad_Port17		=	IPad_Num_Device:17:0
IPad_Port18		=	IPad_Num_Device:18:0

LiveCore_Proc_COM		=	Virtual_Livecore_Num_Device:1:0
LiveCore_General_COM		=	Virtual_Livecore_Num_Device:2:0
LiveCore_Inputs_COM		=	Virtual_Livecore_Num_Device:3:0
LiveCore_Frame_Logo_COM		=	Virtual_Livecore_Num_Device:4:0
LiveCore_Filtering_COM		=	Virtual_Livecore_Num_Device:5:0
LiveCore_Snapshots_COM		=	Virtual_Livecore_Num_Device:5:0
LiveCore_Master_Presets_COM	=	Virtual_Livecore_Num_Device:6:0
LiveCore_Screen1_COM		=	Virtual_Livecore_Num_Device:7:0
LiveCore_Screen2_COM		=	Virtual_Livecore_Num_Device:8:0
LiveCore_Screen3_COM		=	Virtual_Livecore_Num_Device:9:0
LiveCore_Screen4_COM		=	Virtual_Livecore_Num_Device:10:0
LiveCore_Screen5_COM		=	Virtual_Livecore_Num_Device:11:0
LiveCore_Screen6_COM		=	Virtual_Livecore_Num_Device:12:0
LiveCore_Screen7_COM		=	Virtual_Livecore_Num_Device:13:0
LiveCore_Screen8_COM		=	Virtual_Livecore_Num_Device:14:0
LiveCore_Screen_Presets1_COM	=	Virtual_Livecore_Num_Device:15:0
LiveCore_Screen_Presets2_COM	=	Virtual_Livecore_Num_Device:16:0
LiveCore_Screen_Presets3_COM	=	Virtual_Livecore_Num_Device:17:0
LiveCore_Screen_Presets4_COM	=	Virtual_Livecore_Num_Device:18:0
LiveCore_Screen_Presets5_COM	=	Virtual_Livecore_Num_Device:19:0
LiveCore_Screen_Presets6_COM	=	Virtual_Livecore_Num_Device:20:0
LiveCore_Screen_Presets7_COM	=	Virtual_Livecore_Num_Device:21:0
LiveCore_Screen_Presets8_COM	=	Virtual_Livecore_Num_Device:22:0
LiveCore_Monitoring1_COM	=	Virtual_Livecore_Num_Device:23:0
LiveCore_Monitoring2_COM	=	Virtual_Livecore_Num_Device:24:0
LiveCore_GPIO_COM		=	Virtual_Livecore_Num_Device:25:0
LiveCore_Confidence_COM		=	Virtual_Livecore_Num_Device:26:0

LiveCore_General_Panel		=	Virtual_LiveCore_Panel:1:0
LiveCore_Inputs_Panel		=	Virtual_LiveCore_Panel:2:0
LiveCore_Frame_Logo_Panel	=	Virtual_LiveCore_Panel:3:0
LiveCore_Filtering_Panel	=	Virtual_LiveCore_Panel:4:0
LiveCore_Snapshots_Panel	=	Virtual_LiveCore_Panel:5:0
LiveCore_Master_Presets_Panel	=	Virtual_LiveCore_Panel:6:0
LiveCore_Screen1_Panel		=	Virtual_LiveCore_Panel:7:0
LiveCore_Screen2_Panel		=	Virtual_LiveCore_Panel:8:0
LiveCore_Screen3_Panel		=	Virtual_LiveCore_Panel:9:0
LiveCore_Screen4_Panel		=	Virtual_LiveCore_Panel:10:0
LiveCore_Screen5_Panel		=	Virtual_LiveCore_Panel:11:0
LiveCore_Screen6_Panel		=	Virtual_LiveCore_Panel:12:0
LiveCore_Screen7_Panel		=	Virtual_LiveCore_Panel:13:0
LiveCore_Screen8_Panel		=	Virtual_LiveCore_Panel:14:0
LiveCore_Monitoring1_Panel	=	Virtual_LiveCore_Panel:15:0
LiveCore_Monitoring2_Panel	=	Virtual_LiveCore_Panel:16:0
LiveCore_GPIO_Panel		=	Virtual_LiveCore_Panel:17:0
LiveCore_Confidence_Panel	=	Virtual_LiveCore_Panel:18:0

DEFINE_COMBINE
(LiveCore_General_Panel,IPad_Port1)
(LiveCore_Inputs_Panel,IPad_Port2)
(LiveCore_Frame_Logo_Panel,IPad_Port3)
(LiveCore_Filtering_Panel,IPad_Port4)
(LiveCore_Snapshots_Panel,IPad_Port5)
(LiveCore_Master_Presets_Panel,IPad_Port6)
(LiveCore_Screen1_Panel,IPad_Port7)
(LiveCore_Screen2_Panel,IPad_Port8)
(LiveCore_Screen3_Panel,IPad_Port9)
(LiveCore_Screen4_Panel,IPad_Port10)
(LiveCore_Screen5_Panel,IPad_Port11)
(LiveCore_Screen6_Panel,IPad_Port12)
(LiveCore_Screen7_Panel,IPad_Port13)
(LiveCore_Screen8_Panel,IPad_Port14)
(LiveCore_Monitoring1_Panel,IPad_Port15)
(LiveCore_Monitoring2_Panel,IPad_Port16)
(LiveCore_GPIO_Panel,IPad_Port17)
(LiveCore_Confidence_Panel,IPad_Port18)

#end_If

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined LiveCore_Variables
#define LiveCore_Variables

DEFINE_VARIABLE

Integer LiveCore_Snapshots_Usage = 0		//RESERVED FOR FUTURE. KEEP TO 0!!!

Integer LiveCore_Master_Device=0
Integer LiveCore_Slave_Device=1

Integer LiveCore_Modules_Usage [26]

CHAR Layers_Snapshots[41][25]

DEV LiveCore_Modules_Array[] =  {
				LiveCore_General_COM,
				LiveCore_Inputs_COM,
				LiveCore_Frame_Logo_COM,
				LiveCore_Filtering_COM,
				LiveCore_Snapshots_COM,
				LiveCore_Master_Presets_COM,
				LiveCore_Screen1_COM,
				LiveCore_Screen2_COM,
				LiveCore_Screen3_COM,
				LiveCore_Screen4_COM,
				LiveCore_Screen5_COM,
				LiveCore_Screen6_COM,
				LiveCore_Screen7_COM,
				LiveCore_Screen8_COM,
				LiveCore_Screen_Presets1_COM,
				LiveCore_Screen_Presets2_COM,
				LiveCore_Screen_Presets3_COM,
				LiveCore_Screen_Presets4_COM,
				LiveCore_Screen_Presets5_COM,
				LiveCore_Screen_Presets6_COM,
				LiveCore_Screen_Presets7_COM,
				LiveCore_Screen_Presets8_COM,
				LiveCore_Monitoring1_COM,
				LiveCore_Monitoring2_COM,
				LiveCore_GPIO_COM,
				LiveCore_Confidence_COM
				}

DEV LiveCore_Panels_Array[] =  {
				LiveCore_General_Panel,
				LiveCore_Inputs_Panel,
				LiveCore_Frame_Logo_Panel,
				LiveCore_Filtering_Panel,
				LiveCore_Snapshots_Panel,
				LiveCore_Master_Presets_Panel,
				LiveCore_Screen1_Panel,
				LiveCore_Screen2_Panel,
				LiveCore_Screen3_Panel,
				LiveCore_Screen4_Panel,
				LiveCore_Screen5_Panel,
				LiveCore_Screen6_Panel,
				LiveCore_Screen7_Panel,
				LiveCore_Screen8_Panel,
				LiveCore_Monitoring1_Panel,
				LiveCore_Monitoring2_Panel,
				LiveCore_GPIO_Panel,
				LiveCore_Confidence_Panel
				}

INTEGER Screen1_Main_Background_Source
INTEGER Screen1_Main_Layers_Source[24]
INTEGER Screen1_Preview_Background_Source
INTEGER Screen1_Preview_Layers_Source[24]

INTEGER Screen2_Main_Background_Source
INTEGER Screen2_Main_Layers_Source[24]
INTEGER Screen2_Preview_Background_Source
INTEGER Screen2_Preview_Layers_Source[24]

INTEGER Screen3_Main_Background_Source
INTEGER Screen3_Main_Layers_Source[24]
INTEGER Screen3_Preview_Background_Source
INTEGER Screen3_Preview_Layers_Source[24]

INTEGER Screen4_Main_Background_Source
INTEGER Screen4_Main_Layers_Source[24]
INTEGER Screen4_Preview_Background_Source
INTEGER Screen4_Preview_Layers_Source[24]

INTEGER Screen5_Main_Background_Source
INTEGER Screen5_Main_Layers_Source[24]
INTEGER Screen5_Preview_Background_Source
INTEGER Screen5_Preview_Layers_Source[24]

INTEGER Screen6_Main_Background_Source
INTEGER Screen6_Main_Layers_Source[24]
INTEGER Screen6_Preview_Background_Source
INTEGER Screen6_Preview_Layers_Source[24]

INTEGER Screen7_Main_Background_Source
INTEGER Screen7_Main_Layers_Source[24]
INTEGER Screen7_Preview_Background_Source
INTEGER Screen7_Preview_Layers_Source[24]

INTEGER Screen8_Main_Background_Source
INTEGER Screen8_Main_Layers_Source[24]
INTEGER Screen8_Preview_Background_Source
INTEGER Screen8_Preview_Layers_Source[24]

INTEGER Screen1
INTEGER Screen2
INTEGER Screen3
INTEGER Screen4
INTEGER Screen5
INTEGER Screen6
INTEGER Screen7
INTEGER Screen8

CHAR Input_Format[60][30]

#end_If

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

SET_VIRTUAL_CHANNEL_COUNT (LiveCore_General_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_General_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Inputs_Panel,700)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Inputs_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Frame_Logo_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Frame_Logo_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Filtering_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Filtering_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Snapshots_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Snapshots_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Master_Presets_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Master_Presets_Panel,200)

SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen1_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen1_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen2_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen2_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen3_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen3_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen4_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen4_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen5_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen5_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen6_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen6_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen7_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen7_Panel,550)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Screen8_Panel,1100)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Screen8_Panel,550)

SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Monitoring1_Panel,1700)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Monitoring1_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Monitoring2_Panel,1700)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Monitoring2_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_GPIO_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_GPIO_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (LiveCore_Confidence_Panel,800)
SET_VIRTUAL_LEVEL_COUNT (LiveCore_Confidence_Panel,200)

LiveCore_Master_Device=0
LiveCore_Slave_Device=1

LiveCore_Modules_Usage[1]=1
LiveCore_Modules_Usage[2]=LiveCore_Inputs_Usage
LiveCore_Modules_Usage[3]=LiveCore_Frame_Logo_Usage
LiveCore_Modules_Usage[4]=LiveCore_Filtering_Usage
LiveCore_Modules_Usage[5]=LiveCore_Snapshots_Usage
LiveCore_Modules_Usage[6]=LiveCore_Master_Presets_Usage
LiveCore_Modules_Usage[7]=LiveCore_Screen1_Usage
LiveCore_Modules_Usage[8]=LiveCore_Screen2_Usage
LiveCore_Modules_Usage[9]=LiveCore_Screen3_Usage
LiveCore_Modules_Usage[10]=LiveCore_Screen4_Usage
LiveCore_Modules_Usage[11]=LiveCore_Screen5_Usage
LiveCore_Modules_Usage[12]=LiveCore_Screen6_Usage
LiveCore_Modules_Usage[13]=LiveCore_Screen7_Usage
LiveCore_Modules_Usage[14]=LiveCore_Screen8_Usage
LiveCore_Modules_Usage[15]=LiveCore_Screen_Presets1_Usage
LiveCore_Modules_Usage[16]=LiveCore_Screen_Presets2_Usage
LiveCore_Modules_Usage[17]=LiveCore_Screen_Presets3_Usage
LiveCore_Modules_Usage[18]=LiveCore_Screen_Presets4_Usage
LiveCore_Modules_Usage[19]=LiveCore_Screen_Presets5_Usage
LiveCore_Modules_Usage[20]=LiveCore_Screen_Presets6_Usage
LiveCore_Modules_Usage[21]=LiveCore_Screen_Presets7_Usage
LiveCore_Modules_Usage[22]=LiveCore_Screen_Presets8_Usage
LiveCore_Modules_Usage[23]=LiveCore_Monitoring1_Usage
LiveCore_Modules_Usage[24]=LiveCore_Monitoring2_Usage
LiveCore_Modules_Usage[25]=LiveCore_GPIO_Usage
LiveCore_Modules_Usage[26]=LiveCore_Confidence_Usage

Screen1=0
Screen2=1
Screen3=2
Screen4=3
Screen5=4
Screen6=5
Screen7=6
Screen8=7

Layers_Snapshots[1]=Snapshot_Input1
Layers_Snapshots[2]=Snapshot_Input2
Layers_Snapshots[3]=Snapshot_Input3
Layers_Snapshots[4]=Snapshot_Input4
Layers_Snapshots[5]=Snapshot_Input5
Layers_Snapshots[6]=Snapshot_Input6
Layers_Snapshots[7]=Snapshot_Input7
Layers_Snapshots[8]=Snapshot_Input8
Layers_Snapshots[9]=Snapshot_Input9
Layers_Snapshots[10]=Snapshot_Input10
Layers_Snapshots[11]=Snapshot_Input11
Layers_Snapshots[12]=Snapshot_Input12
Layers_Snapshots[13]=Snapshot_Input13
Layers_Snapshots[14]=Snapshot_Input14
Layers_Snapshots[15]=Snapshot_Input15
Layers_Snapshots[16]=Snapshot_Input16
Layers_Snapshots[17]=Snapshot_Input17
Layers_Snapshots[18]=Snapshot_Input18
Layers_Snapshots[19]=Snapshot_Input19
Layers_Snapshots[20]=Snapshot_Input20
Layers_Snapshots[21]=Snapshot_Input21
Layers_Snapshots[22]=Snapshot_Input22
Layers_Snapshots[23]=Snapshot_Input23
Layers_Snapshots[24]=Snapshot_Input24
Layers_Snapshots[25]=Snapshot_Frame1
Layers_Snapshots[26]=Snapshot_Frame2
Layers_Snapshots[27]=Snapshot_Frame3
Layers_Snapshots[28]=Snapshot_Frame4
Layers_Snapshots[29]=Snapshot_Frame5
Layers_Snapshots[30]=Snapshot_Frame6
Layers_Snapshots[31]=Snapshot_Frame7
Layers_Snapshots[32]=Snapshot_Frame8
Layers_Snapshots[33]=Snapshot_Logo1
Layers_Snapshots[34]=Snapshot_Logo2
Layers_Snapshots[35]=Snapshot_Logo3
Layers_Snapshots[36]=Snapshot_Logo4
Layers_Snapshots[37]=Snapshot_Logo5
Layers_Snapshots[38]=Snapshot_Logo6
Layers_Snapshots[39]=Snapshot_Logo7
Layers_Snapshots[40]=Snapshot_Logo8
Layers_Snapshots[41]=Snapshot_Blank

